# Uses of Interface
org.eclipse.e4.core.services.nls.MessageSupplier

Packages that use MessageSupplier
Package
Description
org.eclipse.e4.core.services.nls
Application programming interfaces for dependency injection of message objects for internationalization.

## Uses of MessageSupplier in org.eclipse.e4.core.services.nls

Methods in org.eclipse.e4.core.services.nls that return MessageSupplier
Modifier and Type
Method
Description
`protected MessageSupplier`
BaseMessageRegistry.`createSupplier(String messageKey)`
Methods in org.eclipse.e4.core.services.nls with parameters of type MessageSupplier
Modifier and Type
Method
Description
`void`
BaseMessageRegistry.`register(MessageConsumer consumer, MessageSupplier supplier)`
Register a binding for the given consumer and supplier.